## org.eclipse.emf.ant.taskdefs.codegen
Class JETEmitterTask.Variable

    java.lang.Object
      org.eclipse.emf.ant.taskdefs.codegen.JETEmitterTask.Variable

Enclosing class:
  JETEmitterTask

    public static class JETEmitterTask.Variable

extends java.lang.Object

Constructor Summary
`JETEmitterTask.Variable()`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getPluginID()`
`void` `setName(java.lang.String name)`
`void` `setPluginID(java.lang.String pluginID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JETEmitterTask.Variable

    public JETEmitterTask.Variable()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPluginID

    public java.lang.String getPluginID()

### setPluginID

    public void setPluginID(java.lang.String pluginID)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.